﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation either version
 * 2 of the License, or (at your option) any later version.
 * 
 * ExtremeML is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Builder.Survey
{
	/// <summary>
	/// Stores the usage constraints for a child element in a specific context.
	/// </summary>
	internal class ChildElementUsage
	{
		public string SchemaElementName { get; set; }
		public string SchemaTypeName { get; set; }
		public int MinOccurs { get; set; } // 0 or n
		public int MaxOccurs { get; set; } // 1, n or -1 (unbounded)
	}
}
