﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Sdk.Gdi
{
	/// <summary>
	/// Stores constants used in Gdi image manipulation.
	/// </summary>
	internal static class MimeTypeConstants
	{
		public const string ImageBmp = "image/bmp";
		public const string ImageJpeg = "image/jpeg";
		public const string ImageGif = "image/gif";
		public const string ImageTiff = "image/tiff";
		public const string ImageEmf = "image/emf";
		public const string ImageExif = "image/exif";
		public const string ImageIcon = "image/icon";
		public const string ImagePng = "image/png";
		public const string ImageWmf = "image/wmf";
		public const string ImageUknown = "image/unknown";
	}
}