﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Spreadsheet.HeaderFooter
{
	/// <summary>
	/// Enumerates the sections in a worksheet header or footer.
	/// </summary>
	public enum HeaderFooterSection
	{
		/// <summary>
		/// The left section.
		/// </summary>
		Left = 0,
		/// <summary>
		/// The center section.
		/// </summary>
		Center = 1,
		/// <summary>
		/// The right section.
		/// </summary>
		Right = 2
	}
}
